#ifndef PIN_A_H_
#define PIN_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "MDA_EFSM.h"
#include "Data.h"
#include <iostream>

class pin_a {

public:
	pin_a();
	virtual ~pin_a();

	bool virtual pin( int p_, Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*PIN_A_H_*/
